# About Lexilla

## Source

The vendored Lexilla source code is fetched from their official website [^1]. Version is 5.4.0. All vendored code are inside the `scintilla` folder.

[^1]: https://www.scintilla.org/LexillaDownload.html

## How to update

To update the vendored code to the newer version, do the following steps.

1. Download the ZIP archive of the new version, unzip it and replace the `lexilla` folder.
2. Reconfigure project, start to build, and see if it fails. If so, review the change of `Lexilla.pro` and see if we need to update the `CMakeLists.txt` in this folder (along with this `README.md` file).
3. Done, we can commit the change now.

The folder name that this sub-project lives at currently indicates the Lexilla version that we uses. If updated, consider also update the folder name as well.
